Notus API
Funds

Get fund performance chart series

Returns period-aware aggregated share-price history for charting. Cached for 5 minutes.

GET
/api/v1/fund/{fundId}/performance-chart

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

fundId*string

Fund UUID or slug

Length1 <= length

Query Parameters

period?string
Default"1m"

Value in

  • "1d"
  • "7d"
  • "1m"
  • "3m"
  • "1y"
  • "all"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/fund/targen-vertex/performance-chart"
{  "period": "1m",  "aggregation": "daily",  "points": [    {      "timestamp": "2026-03-15T12:00:00.000Z",      "sharePrice": "1.2345"    }  ]}